Only the "Backward Compatibility" component is selected on the "Feature Selection" page when you install a localized version of SQL Server 2005 SP2

Article translations Article translations
Article ID: 932012 - View products that this article applies to.
Expand all | Collapse all

SYMPTOMS

When you install a localized version of Microsoft SQL Server 2005 Service Pack 2 (SP2) on a computer, only the Backward Compatibility component is selected on the Feature Selection page. This problem occurs if the following conditions are true:
  • The computer has two language versions of SQL Server 2005 installed. One version is an English-language version.
  • The non-English version of SQL Server 2005 SP2 is a 32-bit version.
  • The instances that are installed on the computer are 64-bit versions.
  • The instances are the original release version of SQL Server 2005.

STATUS

Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

MORE INFORMATION

If you install 64-bit instances of SQL Server 2005 in two languages on a computer, you can run the 32-bit SQL Server 2005 Service Pack 2 Setup program. However, the behavior on the Feature Selection page is different for the English version and for the localized language version.

On the Feature Selection page of the English version of the SQL Server 2005 SP2 installation, the check boxes for the following components are selected. These components are presented as required components:
  • SQL Server Native Client
  • SQLXML4
  • MSXML6
  • Backward Compatibility
  • SQL VSS Writer
The localized version of the SQL Server 2005 SP2 installation presents only the Backward Compatibility component as a required component. The check boxes for the other components are not selected. However, you can select these components.

In this situation, we recommend that you exit the 32-bit SQL Server 2005 SP2 installation. Instead, run the 64-bit SQL Server 2005 SP2 installation.

Additionally, the SQL Server Native Client component, the SQLXML4 component, the MSXML6 component, the Backward Compatibility component, and the SQL VSS Writer component must be updated to their SQL Server 2005 SP2 versions when you upgrade the following SQL Server 2005 core components to SQL Server 2005 SP2:
  • Database Engine
  • Analysis Services
  • Reporting Services
  • Notification Services
  • Client Components

Properties

Article ID: 932012 - Last Review: March 22, 2007 - Revision: 1.2
APPLIES TO
  • Microsoft SQL Server 2005 Service Pack 2
Keywords: 
kbtshoot kbexpertiseadvanced kbsql2005setup kbprb KB932012

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com